package com.yeejoin.amos.api.householdapi.constant;

import java.util.HashMap;

public class KSolarConstant {
    public static String baseurl ="http://111.230.136.62:8092";
    public static String account ="三一硅能";
    public static String password ="sygn2022";
    public static String tokenUrl ="/authentication/form";
    public static String authUsername ="kstar";
    public static String authPassword ="kstarSecret";

    public static String requestPOST="POST";
    public static String requestGET="GET";
    public static String stationListUrl="/station/list/info";
    public static String stationInfoByIdUrl="/station/list/info/by/id";
    public static String stationEarnUrl="/station/detail/earn";
    public static String stationEarnChartUrl="/protocol/station/statistic/elec/chart";
    public static String stationCollectListUrl="/station/detail/collect/list";
    public static String stationCollectDataUrl="/station/detail/get/realdata/by/collectid";
    public static String stationCollectAlarmUrl="/alarm/bi/list";
    public static String resovle_rows="rows";
    public static String resovle_data="data";
    public static String resovle_arr="arr";
    public static Double kwhToMwh = 0.0001;


    public static final HashMap<String, String> stationStaus = new HashMap<String, String>() {
        {
            put("0", "在线");
            put("1", "离线");
            put("2", "报警");
        }
    };


    public static final HashMap<String, String> collectStaus = new HashMap<String, String>() {
        {
            put("0", "在线");
            put("1", "离线");
            put("2", "报警");
        }
    };

    public static final HashMap<String, String> alarmLevel = new HashMap<String, String>() {
        {
            put("1", "低级");
            put("2", "中级");
            put("3", "高级");
        }
    };

    public static final HashMap<String, String> alarmstatus = new HashMap<String, String>() {
        {
            put("0", "未恢复");
            put("1", "已恢复");
        }
    };


    public static final HashMap<String, Double> Capacity = new HashMap<String, Double>() {
        {
            put("nb1",141120D/1000);
            put("nb2",141120D/1000);
            put("nb3",143920D/1000);
            put("nb4",141120D/1000);
            put("nb5",140000D/1000);
            put("nb6",147840D/1000);
            put("nb7",144480D/1000);
            put("nb8",132160D/1000);
            put("nb9",142240D/1000);
            put("nb10",143360D/1000);
            put("nb11",143360D/1000);
            put("nb12",140000D/1000);
            put("nb13",147840D/1000);
            put("nb14",145600D/1000);
            put("nb15",147840D/1000);
            put("nb16",143360D/1000);
            put("nb17",145040D/1000);
            put("nb18",147840D/1000);
            put("nb19",147840D/1000);
            put("nb20",147840D/1000);
            put("nb21",146720D/1000);
            put("nb22",147840D/1000);
            put("nb23",147840D/1000);
            put("nb24",143360D/1000);
            put("nb25",143360D/1000);
            put("nb26",147840D/1000);
            put("nb27",142240D/1000);
            put("nb28",138880D/1000);
            put("nb29",129920D/1000);
            put("nb30",144480D/1000);

        }
    };





}
